<template>
	<div
		:class="{
			allwidth: userStore.isPcorH,
		}">
		<div style="width: 100%" data-aos="fade-up">
			<div
				:class="
					userStore.isPcorH
						? 'margin-top61 all_title'
						: 'margin-top30 all_titleh5'
				">
				{{ t("productinfo.goods") }}
			</div>
		</div>
		<!-- 内容一 -->
		<div class="flex tabwai" v-if="userStore.isPcorH">
			<div data-aos="fade-right">
				<el-input
					clearable
					@blur="getgoodslist"
					@keyup.enter="getgoodslist"
					v-model="name"
					class="search"
					:placeholder="t('search')"
					:suffix-icon="name ? '' : Search" />
			</div>
			<div class="tab">
				<div
					class="tablist pointer"
					@click="checktab(item.value)"
					:class="{
						activetab: item.value == active,
					}"
					v-for="item in tab"
					:key="item.value">
					<div data-aos="fade-left">{{ item.title }}</div>
				</div>
			</div>
		</div>
		<div class="tabwai-h5" v-else>
			<div data-aos="fade-up">
				<el-input
					v-model="name"
					@keyup.enter="getgoodslist"
					@blur="getgoodslist"
					class="search"
					:placeholder="t('search')"
					:suffix-icon="Search" />
			</div>
			<div class="tab">
				<div
					data-aos="fade-up"
					class="tablist pointer"
					@click="checktab(item.value)"
					:class="{
						activetab: item.value == active,
					}"
					v-for="item in tab"
					:key="item.value">
					{{ item.title }}
				</div>
			</div>
		</div>
		<div
			class="flex"
			v-loading="loading"
			:class="userStore.isPcorH ? 'aboutcards' : 'aboutcardsh5'">
			<el-image
				data-aos="flip-down"
				class="cards pointer"
				@click="godetail(item)"
				v-for="(item, index) in list"
				:key="index"
				:src="item.goods_img"
				fit="cover"
				alt="" />
		</div>

		<div
			:class="userStore.isPcorH ? 'nodate' : 'nodateh5'"
			v-if="list.length == 0 && !loading">
			暂无数据
		</div>
		<!-- <div class="pages">
			<el-pagination
				size="small"
				:layout="'prev, pager, next'"
				background
				v-model:current-page="pageparms.page"
				v-model:page-size="pageparms.size"
				:total="pageparms.total"
				class="mt-4" />
		</div> -->
	</div>
</template>
<script setup>
import { computed, ref } from "vue";
import { resolvePath } from "@/utils/index.js";
import { Search } from "@element-plus/icons-vue";
import { useI18n } from "vue-i18n";
import useUserStore from "~/store/index";
import { geturl } from "@/utils/index.js";
const url = geturl();
const { locale, t } = useI18n();
const userStore = useUserStore();
const router = useRouter();

const name = ref("");
const active = ref();
const handleSizeChange = val => {
	pageparms.page = val;
	getgoodslist();
};
const tab = ref([
	// {
	// 	title: computed(() => t("productinfo.couple")),
	// 	value: 1,
	// },
	// {
	// 	title: computed(() => t("productinfo.person")),
	// 	value: 2,
	// },
	// {
	// 	title: computed(() => t("productinfo.pet")),
	// 	value: 3,
	// },
	// {
	// 	title: computed(() => t("productinfo.family")),
	// 	value: 4,
	// },
	// {
	// 	title: computed(() => t("productinfo.children")),
	// 	value: 5,
	// },
]);
const list = ref([
	// {
	// 	img: resolvePath("static/images/product/goodsproduct.png"),
	// },
	// {
	// 	img: resolvePath("static/images/product/goodsproduct2.png"),
	// },
	// {
	// 	img: resolvePath("static/images/product/goodsproduct3.png"),
	// },
	// {
	// 	img: resolvePath("static/images/product/goodsproduct2.png"),
	// },
	// {
	// 	img: resolvePath("static/images/product/goodsproduct4.png"),
	// },
	// {
	// 	img: resolvePath("static/images/product/goodsproduct.png"),
	// },
]);
const loading = ref(false);
// 获取分类
const getgoodscategory = async () => {
	const data = await $fetch(url + "/api/goods/category", {
		method: "post",
		body: {
			name: name.value,
		},
		headers: {
			"Content-Type": "application/json",
		},
	});

	tab.value = data.message.map(e => {
		return {
			title: e.label,
			value: e.value,
		};
	});
	getgoodslist();
};
const checktab = e => {
	if (active.value == e) {
		active.value = "";
	} else {
		active.value = e;
	}
	getgoodslist();
};
const godetail = item => {
	localStorage.setItem("gooddetail", JSON.stringify(item));
	router.push({
		path: "/pagecomponents/productDetail",
	});
};
const pageparms = ref({
	page: 1,
	size: 20,
	total: 0,
});
const getgoodslist = async () => {
	loading.value = true;
	const data = await $fetch(url + "/api/goods/list", {
		method: "post",
		body: {
			keyword: name.value,
			category_id: active.value,
			from: "website",
		},
		headers: {
			"Content-Type": "application/json",
		},
	});
	loading.value = false;
	list.value = data.message;
};

onMounted(async () => {
	getgoodscategory();
});
</script>

<style lang="scss" scoped>
.tabwai {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 50px;
	margin-top: 50px;
	.search {
		width: 240px;
		height: 40px;

		margin-right: 37px;
	}
	.tab {
		// display: flex;
		font-size: 18px;
		gap: 62px;
		justify-content: center;
		& > div {
			float: left;
			&:nth-child(n + 1) {
				margin-right: 68px;
			}
		}
		// width: 500px;
		// overflow: scroll;
	}
}

.tabwai-h5 {
	width: 100vw;
	padding: 0 15px;
	margin-top: 25px;
	.search {
		height: 0.8rem;
	}
	:deep(.search) {
		.el-input__inner {
			font-size: 0.3rem; /* 设置你想要的文字大小 */
		}
		.el-input__icon {
			font-size: 0.35rem; /* 设置你想要的图标大小 */
		}
	}
	.tab {
		display: grid;
		grid-template-columns: repeat(5, 1fr);
		// display: flex;
		text-align: center;
		font-size: 0.32rem;
		gap: 0.1rem;
		justify-content: center;
		margin-top: 15px;
		margin-bottom: 15px;
	}
}
.aboutcards {
	margin-top: 11px;
	width: 100%;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 14px;
	.cards {
		width: 100%;
		aspect-ratio: 1;
	}
}
.aboutcardsh5 {
	margin-top: 11px;
	width: 100%;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	padding: 0 15px;
	gap: 14px;
	.cards {
		width: 100%;
		aspect-ratio: 1;
	}
}
.activetab {
	color: #46bfe5;
}
.nodate {
	text-align: center;
	line-height: 100px;
	color: #666666;
	font-size: 18px;
}
.nodateh5 {
	text-align: center;
	line-height: 50px;
	color: #666666;
	font-size: 0.38rem;
}
.pages {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 20px;
}
</style>
